[arch-commits] Commit in mozilla-common/repos (5 files)

Jan de Groot jgc at archlinux.org
Sat Jun 13 09:08:37 EDT 2009


    Date: Saturday, June 13, 2009 @ 09:08:37
  Author: jgc
Revision: 42379

Merged revisions 42377 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/mozilla-common/trunk

........
  r42377 | jgc | 2009-06-13 15:06:48 +0200 (Sat, 13 Jun 2009) | 3 lines
  
  upgpkg: mozilla-common 1.4-1
      Add CSH profile.d script (FS#14567)
  Remove /opt/mozilla/plugins from plugin path. The move to /usr is a very long time ago, plugins should have switched by now
........

Added:
  mozilla-common/repos/extra-i686/mozilla-common.csh
    (from rev 42377, mozilla-common/trunk/mozilla-common.csh)
Modified:
  mozilla-common/repos/extra-i686/	(properties)
  mozilla-common/repos/extra-i686/PKGBUILD
  mozilla-common/repos/extra-i686/mozilla-common.install
  mozilla-common/repos/extra-i686/mozilla-common.sh

------------------------+
 PKGBUILD               |   14 ++++++++------
 mozilla-common.csh     |    1 +
 mozilla-common.install |    5 -----
 mozilla-common.sh      |    2 +-
 4 files changed, 10 insertions(+), 12 deletions(-)


Property changes on: mozilla-common/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /mozilla-common/trunk:1-30202
   + /mozilla-common/trunk:1-42378

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-13 13:07:05 UTC (rev 42378)
+++ extra-i686/PKGBUILD	2009-06-13 13:08:37 UTC (rev 42379)
@@ -2,17 +2,19 @@
 # Maintainer: dale <dale at archlinux.org>
 
 pkgname=mozilla-common
-pkgver=1.3
+pkgver=1.4
 pkgrel=1
 pkgdesc="Common Initialization Profile for Mozilla.org products"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.mozilla.org/"
-install=$pkgname.install
-source=(mozilla-common.sh)
-md5sums=('2ecf5090ce1170c7e280e8d726952f8a')
+install=mozilla-common.install
+source=(mozilla-common.sh
+        mozilla-common.csh)
+md5sums=('39451f6fe87d3cb224e140322c55eb27'
+         '924887e41bd96db37029f479befe40cf')
 
 build() {
-  install -m755 -d ${startdir}/pkg/etc/profile.d
-  install -m755 ${startdir}/src/mozilla-common.sh ${startdir}/pkg/etc/profile.d/ || return 1
+  install -m755 -d "${pkgdir}/etc/profile.d"
+  install -m755 mozilla-common.{,c}sh "${pkgdir}/etc/profile.d/" || return 1
 }

Copied: mozilla-common/repos/extra-i686/mozilla-common.csh (from rev 42377, mozilla-common/trunk/mozilla-common.csh)
===================================================================
--- extra-i686/mozilla-common.csh	                        (rev 0)
+++ extra-i686/mozilla-common.csh	2009-06-13 13:08:37 UTC (rev 42379)
@@ -0,0 +1 @@
+setenv MOZ_PLUGIN_PATH "/usr/lib/mozilla/plugins"

Modified: extra-i686/mozilla-common.install
===================================================================
--- extra-i686/mozilla-common.install	2009-06-13 13:07:05 UTC (rev 42378)
+++ extra-i686/mozilla-common.install	2009-06-13 13:08:37 UTC (rev 42379)
@@ -1,9 +1,4 @@
 post_install() {
   echo "relogin or source /etc/profile.d/mozilla-common.sh"
 }
-
-post_upgrade() {
- post_install $1
-}
-
 # vim:set ts=2 sw=2 et:

Modified: extra-i686/mozilla-common.sh
===================================================================
--- extra-i686/mozilla-common.sh	2009-06-13 13:07:05 UTC (rev 42378)
+++ extra-i686/mozilla-common.sh	2009-06-13 13:08:37 UTC (rev 42379)
@@ -1 +1 @@
-export MOZ_PLUGIN_PATH="/usr/lib/mozilla/plugins:/opt/mozilla/lib/plugins"
+export MOZ_PLUGIN_PATH="/usr/lib/mozilla/plugins"



More information about the arch-commits mailing list